=== debian/changelog ===
mffm-fftw (1.7-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #845593)
  * Switch to source format 3.0 (quilt).
  * Switch to debhelper compat level 10.  (Closes: #817581, #833199)
  * Switch to minimal dh rules.
  * Properly link against fftw3.  (Closes: #695605)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 17:02:42 +0100

mffm-fftw (1.7-3) unstable; urgency=low

  * New upstream release which fixes inverse transforms
  * Non-orphan (Closes: #474525)

 -- mffm Matt Flax (2003) <flatmax@ieee.org>  Mon, 26 Oct 2009 11:20:42 +1100

mffm-fftw (1.6-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes (LP: #256732):
    - Change fftw3-dev to libfftw3-dev.

 -- Nathan Handler <nhandler@ubuntu.com>  Sun, 10 Aug 2008 16:13:54 -0500

mffm-fftw (1.6-2) unstable; urgency=low

  [ Bernd Zeimetz ]
  * QA group upload.
  * debian/control:
    - Setting the Maintainer to QA.

  [ Sandro Tosi ]
  * debian/rules
    - added removal of changed images (Closes: #424572)
    - does not ignore make clean errors anymore
  * debian/control
    - bump Standards-Version to 3.7.3
    - added Section: devel to source stanza
    - used ${binary:Version} for inter-binaries dependency

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 06 Apr 2008 12:01:31 +0200

mffm-fftw (1.6-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix compatibility with GCC 4.3, based on patch by Martin Michlmayr
    (Closes: #417429)

 -- Moritz Muehlenhoff <jmm@debian.org>  Wed, 19 Mar 2008 22:07:15 +0100

mffm-fftw (1.6-1.1ubuntu2) hardy; urgency=low

  * Rebuild for fftw3 -> libfftw3 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 24 Dec 2007 14:30:06 +1100

mffm-fftw (1.6-1.1ubuntu1) hardy; urgency=low

  * Change fftw3-dev to libfftw3-dev.
  * Munge Maintainer field as per spec.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 19 Dec 2007 22:17:15 +1100

mffm-fftw (1.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make mffm-fftw1c2 conflict and replace mffm-fftw1.  Closes: #338537.

 -- Matej Vela <vela@debian.org>  Mon,  5 Jun 2006 17:53:41 +0200

mffm-fftw (1.6-1) unstable; urgency=low

  * new release

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Mon, 24 Oct 2005 09:36:05 +1000

mffm-fftw (1.5-2) unstable; urgency=low

  * Cxx transistion (closes: #333969)

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Sun, 23 Oct 2005 14:09:26 +1000

mffm-fftw (1.5-1) unstable; urgency=low

  * New upstream version

 -- Matt Flax <flatmax@pgb.unsw.edu.au>  Thu, 28 Apr 2005 23:53:19 +1000

mffm-fftw (1.4-1) unstable; urgency=low

  * Adjusted Makefile for debianization (closes: Bug#198010)

 -- Matt Flax <flatmax@ieee.org>  Tue,  5 Aug 2003 01:26:15 +1000

mffm-fftw (1.2-1) unstable; urgency=low

  * Initial Release.
  * Adjusted Makefile for debianization
  * Altered the include files in many *.H and *.cc files to accomodate old
    and new g++ versions.
  * Modification of the Doxygen config file and re-generated the html files too
    Upstream author notified and has altered their config file too.
        
 -- Matt Flax <flatmax@ieee.org>  Wed, 19 Mar 2003 23:32:54 +1100
