=== debian/control ===
Source: mffm-fftw
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libfftw3-dev,
 doxygen,
Standards-Version: 3.7.3

Package: mffm-fftw-dev
Architecture: any
Depends: ${misc:Depends}, mffm-fftw1 (= ${binary:Version}), libfftw3-dev
Description: C++ wrapper for the fftw.org C library (version 3)
 Developer files for the mffm.fftw library
 mffm.fftw provides a simple C++ application base which handles
 FFT data and application. Operations such as power spectrum 
 derivation and so on.

Package: mffm-fftw1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ wrapper for the fftw.org C library (version 3)
 mffm.fftw provides a simple C++ application base which handles
 FFT data and application. Operations such as power spectrum 
 derivation and so on.
